'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _FormContainer = require('../FormContainer');

var _FormContainer2 = _interopRequireDefault(_FormContainer);

var _TextInput = require('../TextInput');

var _TextInput2 = _interopRequireDefault(_TextInput);

var _PasswordInput = require('../PasswordInput');

var _PasswordInput2 = _interopRequireDefault(_PasswordInput);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LoginScreen = function LoginScreen(_ref) {
    var onSubmit = _ref.onSubmit;

    return _react2.default.createElement(
        _FormContainer2.default,
        {
            headerText: 'Sign In',
            defaultText: 'Sign In',
            pendingText: 'Signin In...',
            onSubmit: onSubmit },
        _react2.default.createElement(_TextInput2.default, {
            label: 'Email',
            name: 'email',
            onChange: function onChange() {},
            value: '',
            required: true }),
        _react2.default.createElement(_PasswordInput2.default, {
            label: 'Password',
            name: 'password',
            onChange: function onChange() {},
            value: '',
            showPassword: false,
            required: true })
    );
};

LoginScreen.propTypes = {
    onSubmit: _propTypes2.default.func.isRequired
};

exports.default = LoginScreen;