'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FooterList = function FooterList(_ref) {
    var header = _ref.header,
        children = _ref.children;

    return _react2.default.createElement(
        'div',
        { className: 'me-footer-list' },
        _react2.default.createElement(
            'h3',
            { className: 'me-footer-list-header' },
            header
        ),
        _react2.default.createElement(
            'ul',
            { className: 'list' },
            children
        )
    );
};

FooterList.propTypes = {
    header: _propTypes2.default.string.isRequired
};

exports.default = FooterList;